QuickFIX: FIX::StringField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::StringField Class Reference

MSC doesn't support partial template specialization so we have this. More...

`#include <Field.h>`

Inheritance diagram for FIX::StringField:
[legend]
Collaboration diagram for FIX::StringField:
[legend]

List of all members.

## Public Member Functions
| StringField (int field, const std::string &data)
| StringField (int field)
void | setValue (const std::string &value)
const std::string & | getValue () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator const std::string & () const
bool | operator< (const StringField &rhs) const
| Compares fields based on thier tag numbers.
bool | operator> (const StringField &rhs) const
bool | operator== (const StringField &rhs) const
bool | operator!= (const StringField &rhs) const
bool | operator<= (const StringField &rhs) const
bool | operator>= (const StringField &rhs) const
## Friends
bool | operator< (const StringField &, const char *)
bool | operator< (const char *, const StringField &)
bool | operator> (const StringField &, const char *)
bool | operator> (const char *, const StringField &)
bool | operator== (const StringField &, const char *)
bool | operator== (const char *, const StringField &)
bool | operator!= (const StringField &, const char *)
bool | operator!= (const char *, const StringField &)
bool | operator<= (const StringField &, const char *)
bool | operator<= (const char *, const StringField &)
bool | operator>= (const StringField &, const char *)
bool | operator>= (const char *, const StringField &)
bool | operator< (const StringField &, const std::string &)
bool | operator< (const std::string &, const StringField &)
bool | operator> (const StringField &, const std::string &)
bool | operator> (const std::string &, const StringField &)
bool | operator== (const StringField &, const std::string &)
bool | operator== (const std::string &, const StringField &)
bool | operator!= (const StringField &, const std::string &)
bool | operator!= (const std::string &, const StringField &)
bool | operator<= (const StringField &, const std::string &)
bool | operator<= (const std::string &, const StringField &)
bool | operator>= (const StringField &, const std::string &)
bool | operator>= (const std::string &, const StringField &)

## Detailed Description

MSC doesn't support partial template specialization so we have this.

this is here to provide equality checking against native char arrays.

Definition at line 149 of file Field.h.

## Constructor & Destructor Documentation

FIX::StringField::StringField | ( | int | field,
|  | const std::string & | data |
| ) |  |  | `[inline, explicit]`

Definition at line 152 of file Field.h.

    00153 : FieldBase( field, data ) {}

FIX::StringField::StringField | ( | int | field | ) | `[inline]`

Definition at line 154 of file Field.h.

    00155 : FieldBase( field, "" ) {}

## Member Function Documentation

const std::string& FIX::StringField::getValue | ( |  | ) | const`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 159 of file Field.h.

References FIX::FieldBase::getString().

Referenced by FIX::operator!=(), FIX::operator<(), FIX::operator<=(), FIX::operator==(), FIX::operator>(), and FIX::operator>=().

    00160     { return getString(); }

FIX::StringField::operator const std::string & | ( |  | ) | const`[inline]`

Definition at line 161 of file Field.h.

References FIX::FieldBase::getString().

    00162     { return getString(); }

bool FIX::StringField::operator!= | ( | const StringField & | rhs | ) | const`[inline]`

Definition at line 170 of file Field.h.

References FIX::FieldBase::getString().

    00171     { return getString() != rhs.getString(); }

bool FIX::StringField::operator< | ( | const StringField & | field | ) | const`[inline]`

Compares fields based on thier tag numbers.

Reimplemented from FIX::FieldBase.

Definition at line 164 of file Field.h.

References FIX::FieldBase::getString().

    00165     { return getString() < rhs.getString(); }

bool FIX::StringField::operator<= | ( | const StringField & | rhs | ) | const`[inline]`

Definition at line 172 of file Field.h.

References FIX::FieldBase::getString().

    00173     { return getString() <= rhs.getString(); }

bool FIX::StringField::operator== | ( | const StringField & | rhs | ) | const`[inline]`

Definition at line 168 of file Field.h.

References FIX::FieldBase::getString().

    00169     { return getString() == rhs.getString(); }

bool FIX::StringField::operator> | ( | const StringField & | rhs | ) | const`[inline]`

Definition at line 166 of file Field.h.

References FIX::FieldBase::getString().

    00167     { return getString() > rhs.getString(); }

bool FIX::StringField::operator>= | ( | const StringField & | rhs | ) | const`[inline]`

Definition at line 174 of file Field.h.

References FIX::FieldBase::getString().

    00175     { return getString() >= rhs.getString(); }

void FIX::StringField::setValue | ( | const std::string & | value | ) | `[inline]`

Definition at line 157 of file Field.h.

References FIX::FieldBase::setString().

    00158     { setString( value ); }

## Friends And Related Function Documentation

bool operator!= | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator!= | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator!= | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator!= | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

bool operator< | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator< | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator< | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator< | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

bool operator<= | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator<= | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator<= | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator<= | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

bool operator== | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator== | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator== | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator== | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

bool operator> | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator> | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator> | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator> | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

bool operator>= | ( | const std::string & | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator>= | ( | const StringField & | ,
|  | const std::string & |  |
| ) |  |  | `[friend]`

bool operator>= | ( | const char * | ,
|  | const StringField & |  |
| ) |  |  | `[friend]`

bool operator>= | ( | const StringField & | ,
|  | const char * |  |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h